DELETE /api/data_views/data_view/{viewId}

Spaces method and path for this operation:

delete /s/{space_id}/api/data_views/data_view/{viewId}

Refer to Spaces for more information.

Delete a data view by its identifier. WARNING: When you delete a data view, it cannot be recovered.

Headers

  • kbn-xsrf string Required

    Cross-site request forgery protection

Path parameters

  • viewId string Required

    An identifier for the data view.

Responses

  • 204

    Indicates a successful call.

  • 404 application/json

    Object is not found.

    Hide response attributes Show response attributes object
    • error string

      Value is Not Found.

    • message string
    • statusCode integer

      Value is 404.

DELETE /api/data_views/data_view/{viewId}
curl \
  -X DELETE "${KIBANA_URL}/api/data_views/data_view/${DATA_VIEW_ID}" \
  -H "Authorization: ApiKey ${API_KEY}" \
  -H "kbn-xsrf: true"
DELETE kbn://api/data_views/data_view/{viewId}